Subject: [bug#54123] [PATCH 5/5] gnu: Add go-github-com-xdg-go-scram.

From: Efraim Flashner <[email-masked]>
Date: Wed, 23 Feb 2022 12:29:14 +0200

* gnu/packages/golang.scm (go-github-com-xdg-go-scram): New variable.
---
 gnu/packages/golang.scm | 26 ++++++++++++++++++++++++++
 1 file changed, 26 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index 08bc1578e3..9c7f8580ec 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -7967,6 +7967,32 @@ (define-public go-github-com-xdg-go-pbkdf2
 and @url{https://rfc-editor.org/rfc/rfc8018.html,RFC 8018}.")
     (license license:asl2.0)))
 
+(define-public go-github-com-xdg-go-scram
+  (package
+    (name "go-github-com-xdg-go-scram")
+    (version "1.0.2")
+    (source
+      (origin
+        (method git-fetch)
+        (uri (git-reference
+               (url "https://github.com/xdg-go/scram")
+               (commit (string-append "v" version))))
+        (file-name (git-file-name name version))
+        (sha256
+         (base32 "1jyv4qgc1dgh3v96pazmgljpp9ij25k8hwn0v4fck18g16i0nccm"))))
+    (build-system go-build-system)
+    (arguments '(#:import-path "github.com/xdg-go/scram"))
+    (propagated-inputs
+     (list go-github-com-xdg-go-stringprep
+           go-github-com-xdg-go-pbkdf2))
+    (home-page "https://github.com/xdg-go/scram")
+    (synopsis "Go implementation of RFC-5802")
+    (description
+     "Package scram provides client and server implementations of the
+@acronym{Salted Challenge Response Authentication Mechanism, SCRAM} described in
+RFC-5802 and RFC-7677.")
+    (license license:asl2.0)))
+
 (define-public go-github-com-godbus-dbus
   (package
     (name "go-github-com-godbus-dbus")
-- 
2.34.0